Bug 1279420 - gi.overrides.BlockDev.DMError: Failed to group_set
gi.overrides.BlockDev.DMError: Failed to group_set
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libblockdev (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:8317032b715eb12885937343c02...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 07:40 EST by Zeljko R
Modified: 2016-12-20 10:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:34:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (412.95 KB, text/plain)
2015-11-09 07:40 EST, Zeljko R
no flags Details
File: anaconda.log (6.05 KB, text/plain)
2015-11-09 07:40 EST, Zeljko R
no flags Details
File: environ (537 bytes, text/plain)
2015-11-09 07:40 EST, Zeljko R
no flags Details
File: journalctl (344.24 KB, text/plain)
2015-11-09 07:40 EST, Zeljko R
no flags Details
File: lsblk_output (4.28 KB, text/plain)
2015-11-09 07:40 EST, Zeljko R
no flags Details
File: nmcli_dev_list (2.18 KB, text/plain)
2015-11-09 07:40 EST, Zeljko R
no flags Details
File: os_info (518 bytes, text/plain)
2015-11-09 07:40 EST, Zeljko R
no flags Details
File: program.log (13.27 KB, text/plain)
2015-11-09 07:40 EST, Zeljko R
no flags Details
File: storage.log (38.90 KB, text/plain)
2015-11-09 07:41 EST, Zeljko R
no flags Details
File: ifcfg.log (3.82 KB, text/plain)
2015-11-09 07:41 EST, Zeljko R
no flags Details

  None (edit)
Description Zeljko R 2015-11-09 07:40:38 EST
Description of problem:
Booted up the installer from a USB flash drive, clicked on Install to Hard Drive and it crashed.

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 416, in wrapped
    raise transform[1](msg)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1249, in handleUdevDMRaidMemberFormat
    rs_names = blockdev.dm.get_member_raid_sets(uuid, name, major, minor)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1474, in handleUdevDeviceFormat
    self.handleUdevDMRaidMemberFormat(info, device)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 764, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1692, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1623, in populate
    self._populate()
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 554, in populate
    self._populator.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 279, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1157, in storageInitialize
    storage.reset()
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
gi.overrides.BlockDev.DMError: Failed to group_set

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: libblockdev-1.1-2.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch, python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Zeljko R 2015-11-09 07:40:45 EST
Created attachment 1091716 [details]
File: anaconda-tb
Comment 2 Zeljko R 2015-11-09 07:40:46 EST
Created attachment 1091717 [details]
File: anaconda.log
Comment 3 Zeljko R 2015-11-09 07:40:48 EST
Created attachment 1091718 [details]
File: environ
Comment 4 Zeljko R 2015-11-09 07:40:52 EST
Created attachment 1091719 [details]
File: journalctl
Comment 5 Zeljko R 2015-11-09 07:40:53 EST
Created attachment 1091720 [details]
File: lsblk_output
Comment 6 Zeljko R 2015-11-09 07:40:55 EST
Created attachment 1091721 [details]
File: nmcli_dev_list
Comment 7 Zeljko R 2015-11-09 07:40:56 EST
Created attachment 1091722 [details]
File: os_info
Comment 8 Zeljko R 2015-11-09 07:40:58 EST
Created attachment 1091723 [details]
File: program.log
Comment 9 Zeljko R 2015-11-09 07:41:00 EST
Created attachment 1091724 [details]
File: storage.log
Comment 10 Zeljko R 2015-11-09 07:41:01 EST
Created attachment 1091725 [details]
File: ifcfg.log
Comment 11 Zeljko R 2015-11-11 08:10:30 EST
I've managed to install Fedora 23 by removing one of my hard drives.

I have 2x 250GB drives and 1x 1TB drive. The logs were mentioning something about RAID which I don't have set up (SATA mode is set to AHCI in BIOS). So I removed one of the 250GB hard drives (it has Windows 7 on it) and the Fedora 23 installation went through without any issues on the second 250GB hard drive. After the successful installation I've connected the other hard drive, set up the grub so it sees the Windows 7 installation and everything works fine.
I was distro hopping for a while and none of the other Linux distributions had this issue.

Hope this helps, Cheers!
Comment 12 Fedora End Of Life 2016-11-24 08:14:13 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 10:34:05 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.